Module jdk.compiler
Package com.sun.source.tree

# Interface NewArrayTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `ExpressionTree`, `Tree`

public interface NewArrayTree extends ExpressionTree
A tree node for an expression to create a new instance of an array. For example:

       new type dimensions initializers

       new type dimensions [ ] initializers

See Java Language Specification:
  15.10.1 Array Creation Expressions
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends AnnotationTree>`
`getAnnotations()`
Returns the annotations on the base type.
`List<? extends List<? extends AnnotationTree>>`
`getDimAnnotations()`
Returns the annotations on each of the dimension expressions.
`List<? extends ExpressionTree>`
`getDimensions()`
Returns the dimension expressions for the type.
`List<? extends ExpressionTree>`
`getInitializers()`
Returns the initializer expressions.
`Tree`
`getType()`
Returns the base type of the expression.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getType

Tree getType()
Returns the base type of the expression. May be `null` for an array initializer expression.

Returns:
  the base type

### getDimensions

List<? extends ExpressionTree> getDimensions()
Returns the dimension expressions for the type.

Returns:
  the dimension expressions

### getInitializers

List<? extends ExpressionTree> getInitializers()
Returns the initializer expressions.

Returns:
  the initializer expressions

### getAnnotations

List<? extends AnnotationTree> getAnnotations()
Returns the annotations on the base type.

Returns:
  the annotations

### getDimAnnotations

List<? extends List<? extends AnnotationTree>> getDimAnnotations()
Returns the annotations on each of the dimension expressions.

Returns:
  the annotations on the dimensions expressions